Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class FlowLayoutImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.FlowLayoutImpl

All Implemented Interfaces:
  EObject, FlowLayout, InternalEObject, Layout, Notifier

public class FlowLayoutImpl
extends EObjectImpl
implements FlowLayout

An implementation of the model object 'Flow Layout'.

The following features are implemented:

- `Vertical`
- `Match Minor Size`
- `Force Single Line`
- `Major Alignment`
- `Minor Alignment`
- `Major Spacing`
- `Minor Spacing`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static boolean` `FORCE_SINGLE_LINE_EDEFAULT` The default value of the '`Force Single Line`' attribute
`protected boolean` `forceSingleLine` The cached value of the '`Force Single Line`' attribute
`protected static Alignment` `MAJOR_ALIGNMENT_EDEFAULT` The default value of the '`Major Alignment`' attribute
`protected static int` `MAJOR_SPACING_EDEFAULT` The default value of the '`Major Spacing`' attribute
`protected Alignment` `majorAlignment` The cached value of the '`Major Alignment`' attribute
`protected int` `majorSpacing` The cached value of the '`Major Spacing`' attribute
`protected static boolean` `MATCH_MINOR_SIZE_EDEFAULT` The default value of the '`Match Minor Size`' attribute
`protected boolean` `matchMinorSize` The cached value of the '`Match Minor Size`' attribute
`protected static Alignment` `MINOR_ALIGNMENT_EDEFAULT` The default value of the '`Minor Alignment`' attribute
`protected static int` `MINOR_SPACING_EDEFAULT` The default value of the '`Minor Spacing`' attribute
`protected Alignment` `minorAlignment` The cached value of the '`Minor Alignment`' attribute
`protected int` `minorSpacing` The cached value of the '`Minor Spacing`' attribute
`protected boolean` `vertical` The cached value of the '`Vertical`' attribute
`protected static boolean` `VERTICAL_EDEFAULT` The default value of the '`Vertical`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FlowLayoutImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Alignment` `getMajorAlignment()`
`int` `getMajorSpacing()`
`Alignment` `getMinorAlignment()`
`int` `getMinorSpacing()`
`boolean` `isForceSingleLine()`
`boolean` `isMatchMinorSize()`
`boolean` `isVertical()`
`void` `setForceSingleLine(boolean newForceSingleLine)`
`void` `setMajorAlignment(Alignment newMajorAlignment)`
`void` `setMajorSpacing(int newMajorSpacing)`
`void` `setMatchMinorSize(boolean newMatchMinorSize)`
`void` `setMinorAlignment(Alignment newMinorAlignment)`
`void` `setMinorSpacing(int newMinorSpacing)`
`void` `setVertical(boolean newVertical)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### VERTICAL_EDEFAULT

    protected static final boolean VERTICAL_EDEFAULT

  The default value of the '`Vertical`' attribute.

  See Also:
    `FlowLayoutImpl.isVertical()`, Constant Field Values
  ** Generated **
  Ordered:

### vertical

    protected boolean vertical

  The cached value of the '`Vertical`' attribute.

  See Also:
    `FlowLayoutImpl.isVertical()`
  ** Generated **
  Ordered:

### MATCH_MINOR_SIZE_EDEFAULT

    protected static final boolean MATCH_MINOR_SIZE_EDEFAULT

  The default value of the '`Match Minor Size`' attribute.

  See Also:
    `FlowLayoutImpl.isMatchMinorSize()`, Constant Field Values
  ** Generated **
  Ordered:

### matchMinorSize

    protected boolean matchMinorSize

  The cached value of the '`Match Minor Size`' attribute.

  See Also:
    `FlowLayoutImpl.isMatchMinorSize()`
  ** Generated **
  Ordered:

### FORCE_SINGLE_LINE_EDEFAULT

    protected static final boolean FORCE_SINGLE_LINE_EDEFAULT

  The default value of the '`Force Single Line`' attribute.

  See Also:
    `FlowLayoutImpl.isForceSingleLine()`, Constant Field Values
  ** Generated **
  Ordered:

### forceSingleLine

    protected boolean forceSingleLine

  The cached value of the '`Force Single Line`' attribute.

  See Also:
    `FlowLayoutImpl.isForceSingleLine()`
  ** Generated **
  Ordered:

### MAJOR_ALIGNMENT_EDEFAULT

    protected static final Alignment MAJOR_ALIGNMENT_EDEFAULT

  The default value of the '`Major Alignment`' attribute.

  See Also:
    `FlowLayoutImpl.getMajorAlignment()`
  ** Generated **
  Ordered:

### majorAlignment

    protected Alignment majorAlignment

  The cached value of the '`Major Alignment`' attribute.

  See Also:
    `FlowLayoutImpl.getMajorAlignment()`
  ** Generated **
  Ordered:

### MINOR_ALIGNMENT_EDEFAULT

    protected static final Alignment MINOR_ALIGNMENT_EDEFAULT

  The default value of the '`Minor Alignment`' attribute.

  See Also:
    `FlowLayoutImpl.getMinorAlignment()`
  ** Generated **
  Ordered:

### minorAlignment

    protected Alignment minorAlignment

  The cached value of the '`Minor Alignment`' attribute.

  See Also:
    `FlowLayoutImpl.getMinorAlignment()`
  ** Generated **
  Ordered:

### MAJOR_SPACING_EDEFAULT

    protected static final int MAJOR_SPACING_EDEFAULT

  The default value of the '`Major Spacing`' attribute.

  See Also:
    `FlowLayoutImpl.getMajorSpacing()`, Constant Field Values
  ** Generated **
  Ordered:

### majorSpacing

    protected int majorSpacing

  The cached value of the '`Major Spacing`' attribute.

  See Also:
    `FlowLayoutImpl.getMajorSpacing()`
  ** Generated **
  Ordered:

### MINOR_SPACING_EDEFAULT

    protected static final int MINOR_SPACING_EDEFAULT

  The default value of the '`Minor Spacing`' attribute.

  See Also:
    `FlowLayoutImpl.getMinorSpacing()`, Constant Field Values
  ** Generated **
  Ordered:

### minorSpacing

    protected int minorSpacing

  The cached value of the '`Minor Spacing`' attribute.

  See Also:
    `FlowLayoutImpl.getMinorSpacing()`
  ** Generated **
  Ordered:

Constructor Detail

### FlowLayoutImpl

    protected FlowLayoutImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### isVertical

    public boolean isVertical()

  Specified by:
    `isVertical` in interface `FlowLayout`
  Returns:
    the value of the 'Vertical' attribute.
  See Also:
    `FlowLayout.setVertical(boolean)`, `GMFGraphPackage.getFlowLayout_Vertical()`
  ** Generated **

### setVertical

    public void setVertical(boolean newVertical)

  Specified by:
    `setVertical` in interface `FlowLayout`
  Parameters:
    `newVertical` - the new value of the 'Vertical' attribute.
  See Also:
    `FlowLayout.isVertical()`
  ** Generated **

### isMatchMinorSize

    public boolean isMatchMinorSize()

  Specified by:
    `isMatchMinorSize` in interface `FlowLayout`
  Returns:
    the value of the 'Match Minor Size' attribute.
  See Also:
    `FlowLayout.setMatchMinorSize(boolean)`, `GMFGraphPackage.getFlowLayout_MatchMinorSize()`
  ** Generated **

### setMatchMinorSize

    public void setMatchMinorSize(boolean newMatchMinorSize)

  Specified by:
    `setMatchMinorSize` in interface `FlowLayout`
  Parameters:
    `newMatchMinorSize` - the new value of the 'Match Minor Size' attribute.
  See Also:
    `FlowLayout.isMatchMinorSize()`
  ** Generated **

### isForceSingleLine

    public boolean isForceSingleLine()

  Specified by:
    `isForceSingleLine` in interface `FlowLayout`
  Returns:
    the value of the 'Force Single Line' attribute.
  See Also:
    `FlowLayout.setForceSingleLine(boolean)`, `GMFGraphPackage.getFlowLayout_ForceSingleLine()`
  ** Generated **

### setForceSingleLine

    public void setForceSingleLine(boolean newForceSingleLine)

  Specified by:
    `setForceSingleLine` in interface `FlowLayout`
  Parameters:
    `newForceSingleLine` - the new value of the 'Force Single Line' attribute.
  See Also:
    `FlowLayout.isForceSingleLine()`
  ** Generated **

### getMajorAlignment

    public Alignment getMajorAlignment()

  Specified by:
    `getMajorAlignment` in interface `FlowLayout`
  Returns:
    the value of the 'Major Alignment' attribute.
  See Also:
    `Alignment`, `FlowLayout.setMajorAlignment(Alignment)`, `GMFGraphPackage.getFlowLayout_MajorAlignment()`
  ** Generated **

### setMajorAlignment

    public void setMajorAlignment(Alignment newMajorAlignment)

  Specified by:
    `setMajorAlignment` in interface `FlowLayout`
  Parameters:
    `newMajorAlignment` - the new value of the 'Major Alignment' attribute.
  See Also:
    `Alignment`, `FlowLayout.getMajorAlignment()`
  ** Generated **

### getMinorAlignment

    public Alignment getMinorAlignment()

  Specified by:
    `getMinorAlignment` in interface `FlowLayout`
  Returns:
    the value of the 'Minor Alignment' attribute.
  See Also:
    `Alignment`, `FlowLayout.setMinorAlignment(Alignment)`, `GMFGraphPackage.getFlowLayout_MinorAlignment()`
  ** Generated **

### setMinorAlignment

    public void setMinorAlignment(Alignment newMinorAlignment)

  Specified by:
    `setMinorAlignment` in interface `FlowLayout`
  Parameters:
    `newMinorAlignment` - the new value of the 'Minor Alignment' attribute.
  See Also:
    `Alignment`, `FlowLayout.getMinorAlignment()`
  ** Generated **

### getMajorSpacing

    public int getMajorSpacing()

  Specified by:
    `getMajorSpacing` in interface `FlowLayout`
  Returns:
    the value of the 'Major Spacing' attribute.
  See Also:
    `FlowLayout.setMajorSpacing(int)`, `GMFGraphPackage.getFlowLayout_MajorSpacing()`
  ** Generated **

### setMajorSpacing

    public void setMajorSpacing(int newMajorSpacing)

  Specified by:
    `setMajorSpacing` in interface `FlowLayout`
  Parameters:
    `newMajorSpacing` - the new value of the 'Major Spacing' attribute.
  See Also:
    `FlowLayout.getMajorSpacing()`
  ** Generated **

### getMinorSpacing

    public int getMinorSpacing()

  Specified by:
    `getMinorSpacing` in interface `FlowLayout`
  Returns:
    the value of the 'Minor Spacing' attribute.
  See Also:
    `FlowLayout.setMinorSpacing(int)`, `GMFGraphPackage.getFlowLayout_MinorSpacing()`
  ** Generated **

### setMinorSpacing

    public void setMinorSpacing(int newMinorSpacing)

  Specified by:
    `setMinorSpacing` in interface `FlowLayout`
  Parameters:
    `newMinorSpacing` - the new value of the 'Minor Spacing' attribute.
  See Also:
    `FlowLayout.getMinorSpacing()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

### toString

    public java.lang.String toString()

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.